ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package read
  Definition Classes
    ds
- ADAMBAMOutputFormat
- ADAMBAMOutputFormatHeaderLess
- ADAMCRAMOutputFormat
- ADAMCRAMOutputFormatHeaderLess
- ADAMSAMOutputFormat
- ADAMSAMOutputFormatHeaderLess
- AlignmentDataset
- AnySAMInFormatter
- AnySAMInFormatterCompanion
- AnySAMOutFormatter
- BAMInFormatter
- DatasetBoundAlignmentDataset
- DatasetBoundReadDataset
- FASTQInFormatter
- IncorrectMDTagException
- ParquetUnboundAlignmentDataset
- ParquetUnboundReadDataset
- QualityScoreBin
- RDDBoundAlignmentDataset
- RDDBoundReadDataset
- ReadDataset
- ReferencePositionPairSerializer
- SAMInFormatter
- SingleReadBucketSerializer

t

org.bdgenomics.adam.ds.read

# AnySAMInFormatterCompanion 

###

#### trait AnySAMInFormatterCompanion[T <: AnySAMInFormatter[T]] extends InFormatterCompanion[Alignment, Alignment, AlignmentDataset, T]

Companion object that builds an InFormatter that writes data where the metadata is contained in a SAMFileHeaderWritable.

T

  The type of the underlying InFormatter.

Linear Supertypes
InFormatterCompanion[Alignment, Alignment, AlignmentDataset, T], AnyRef, Any
Known Subclasses
BAMInFormatter, SAMInFormatter
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AnySAMInFormatterCompanion
2. InFormatterCompanion
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def makeFormatter(header: SAMFileHeader, readGroups: ReadGroupDictionary, converter: AlignmentConverter): T
   Attributes
     protected

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(gDataset: AlignmentDataset): T

   Makes an AnySAMInFormatter from a GenomicDataset of Alignments.

   Makes an AnySAMInFormatter from a GenomicDataset of Alignments.

   gDataset

     AlignmentDataset with reference build and read group info.

   returns

     Returns an InFormatter that extends AnySAMInFormatter.

   Definition Classes
     AnySAMInFormatterCompanion → InFormatterCompanion
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
18.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from InFormatterCompanion[Alignment, Alignment, AlignmentDataset, T]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped